Opened 7 months ago

Closed 6 months ago

#2851 closed help (fixed)

No module names fluxnet_evaluation

Reported by: awright Owned by: pmcguire
Component: JULES Keywords: FLUXNET, JULES, Python, JASMIN
Cc: cduranrojas Platform: JASMIN
UM Version:

Description

Hello Patrick

I have copied u-al752 into my space with the new name: u-bh383. I made it compatible to Reading by using your instructions on: https://research.reading.ac.uk/landsurfaceprocesses/software-examples/tutorial-rose-cylc-jules-on-jasmin/.

I run the suite, and fcm-make and output files are OK. Its only the plotting that fails. I have attached the errors. The error boils down to 'No module names fluxnet_evaluation'.

Many thanks,

Azin

Change History (6)

comment:1 Changed 7 months ago by pmcguire

  • Component changed from UM Model to JULES
  • Keywords FLUXNET, JULES, Python, JASMIN added
  • Owner changed from um_support to pmcguire
  • Platform set to JASMIN
  • Status changed from new to accepted

comment:2 Changed 7 months ago by pmcguire

Hi Azin

I changed the ticket Component from the UM Model to JULES.

All tickets that have the JULES component or the Land Surface component should automatically be assigned to me.

Patrick

comment:3 Changed 7 months ago by pmcguire

  • Cc M.C.Duran-Rojas@… added

Hi Azin:
Karina or Carolina had commented out all the [file:bin/*.py] and source=fcm: commands in the u-al752/rose-suite.conf file in versions of u-al752 since 3-4 months ago. So this suite won't work with those commented out. This is why your suite can't find the fluxnet_evaluation.py module.

I have CC'd Carolina on this ticket.

I recommend trying to use rosie go to make a copy of the u-al752 suite at Revision number 100787 instead of the latest version of this suite. You can see the different revisions in rosie go by checking the search all revisions checkbox.

It looks like Carolina is currently (in the last day) upgrading the suite from JULES 4.9 to JULES 5.4.
See:
https://code.metoffice.gov.uk/trac/roses-u/log/a/l/7/5/2/trunk
Once she gets that working, then maybe we can upgrade your copy of the u-al752 suite to the latest Revision of this suite.

I will now update my documentation at: https://research.reading.ac.uk/landsurfaceprocesses/software-examples/tutorial-rose-cylc-jules-on-jasmin/
in order to reflect this recommendation of using Revision number 100787.

Patrick

comment:4 Changed 7 months ago by pmcguire

Hi Azin
Carolina says that the most recent version of the u-al752 suite should work if you uncomment the lines [file:bin/*.py] and source=fcm: in the u-al752/rose-suite.conf file. This is an alternative to using the older version 100787 of the suite.

But it would use JULES 5.4 instead of JULES 4.9. There might be some differences between thoe versions of JULES, and maybe you;d want to compare the plots when it uses JULES 4.9 vcompared to using JULES 5.4.

Patrick

comment:5 Changed 7 months ago by pmcguire

  • Cc cduranrojas added; M.C.Duran-Rojas@… removed

comment:6 Changed 6 months ago by pmcguire

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.